// ======================================================================
//  MainWindow.cpp
// ======================================================================
//  Copyright (c) 2012 by Max Schlee
//
//  Email : Max.Schlee@neonway.com
//  Blog  : http://www.maxschlee.com
//
//  Social Networks
//  ---------------
//  FaceBook     : http://www.facebook.com/mschlee
//  Twitter      : http://twitter.com/Max_Schlee
//  2Look.me     : http://2look.me/NW100003
//  Xing         : http://www.xing.com/profile/Max_Schlee
//  VKontakte.ru : http://vk.com/max.schlee 
// ======================================================================

#include <QtGui>
#include "mainwindow.h"

MainWindow::MainWindow(QWidget *parent)
    : QWidget(parent)
{
    m_pcmdReset = new QPushButton("&Reset");
    m_pcmdQuit  = new QPushButton("&Quit");
    m_plcd      = new QLCDNumber;
    m_psld      = new QSlider(Qt::Horizontal);

    connect(m_pcmdReset, SIGNAL(clicked()), SLOT(slotReset()));
    connect(m_pcmdQuit, SIGNAL(clicked()), qApp, SLOT(quit()));
    connect(m_psld, SIGNAL(valueChanged(int)), m_plcd, SLOT(display(int)));

    QVBoxLayout* pvbx1 = new QVBoxLayout;
    pvbx1->addWidget(m_pcmdReset);
    pvbx1->addWidget(m_pcmdQuit);
    pvbx1->addStretch(1);

    QVBoxLayout* pvbx2 = new QVBoxLayout;
    pvbx2->addWidget(m_plcd);
    pvbx2->addWidget(m_psld);

    QHBoxLayout* phbx = new QHBoxLayout;
    phbx->addLayout(pvbx2);
    phbx->addLayout(pvbx1);

    setLayout(phbx);
}

MainWindow::~MainWindow()
{
    
}

void
MainWindow::slotReset()
{
    m_psld->setValue(0);
}
